<?xml version="1.0" ?>

<container xmlns="http://symfony.com/schema/dic/services"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://symfony.com/schema/dic/services http://symfony.com/schema/dic/services/services-1.0.xsd">
    <services>


        <!-- Entity Definitions -->
        <service id="SwagGuidedShopping\Content\Presentation\PresentationDefinition">
            <tag name="shopware.entity.definition"/>
        </service>
        <service id="SwagGuidedShopping\Content\Presentation\Aggregate\PresentationTranslation\PresentationTranslationDefinition">
            <tag name="shopware.entity.definition"/>
        </service>
        <service id="SwagGuidedShopping\Content\Presentation\Aggregate\PresentationCmsPage\PresentationCmsPageDefinition">
            <tag name="shopware.entity.definition"/>
        </service>
        <service id="SwagGuidedShopping\Content\Presentation\Aggregate\PresentationCmsPageTranslation\PresentationCmsPageTranslationDefinition">
            <tag name="shopware.entity.definition"/>
        </service>

        <service id="SwagGuidedShopping\Content\Presentation\Service\PresentationVersionHandler">
            <argument type="service" id="guided_shopping_presentation.repository"/>
            <argument type="service" id="guided_shopping_presentation_cms_page.repository"/>
            <argument type="service" id="guided_shopping_appointment.repository"/>
            <argument type="service" id="SwagGuidedShopping\Content\Cms\Service\CmsPageCreatorService"/>
        </service>

        <!-- Store API Routes -->
        <service id="SwagGuidedShopping\Content\Presentation\SalesChannel\PresentationStructure\PresentationStructureRoute" public="true">
            <argument type="service" id="guided_shopping_presentation.repository"/>
            <argument type="service" id="cms_page.repository"/>
            <argument type="service" id="SwagGuidedShopping\Content\Presentation\Service\PresentationVersionHandler"/>
            <argument type="service" id="SwagGuidedShopping\Content\Cms\Service\NotesElementHandler"/>
        </service>

        <service id="SwagGuidedShopping\Content\Presentation\SalesChannel\PresentationSlideData\PresentationSlideDataRoute" public="true">
            <argument type="service" id="guided_shopping_presentation.repository"/>
            <argument type="service" id="sales_channel.product.repository"/>
            <argument type="service" id="Shopware\Core\Content\Product\SalesChannel\Detail\ProductConfiguratorLoader"/>
            <argument type="service" id="Shopware\Core\Content\Cms\SalesChannel\SalesChannelCmsPageLoader"/>
            <argument type="service" id="Shopware\Core\Content\Category\CategoryDefinition"/>
            <argument type="service" id="Shopware\Core\Content\Product\SalesChannel\SalesChannelProductDefinition"/>
            <argument type="service" id="event_dispatcher"/>
            <argument type="service" id="SwagGuidedShopping\Content\Cms\Service\NotesElementHandler"/>
        </service>

        <service id="SwagGuidedShopping\Content\Presentation\SalesChannel\PresentationSlideProducts\PresentationSlideProductsRoute" public="true">
            <argument type="service" id="guided_shopping_presentation_cms_page.repository"/>
            <argument type="service" id="Shopware\Core\Content\Product\SalesChannel\Listing\ProductListingLoader"/>
            <argument type="service" id="Shopware\Core\Content\ProductStream\Service\ProductStreamBuilder"/>
            <argument type="service" id="Symfony\Component\EventDispatcher\EventDispatcherInterface"/>
        </service>

        <service id="SwagGuidedShopping\Content\Presentation\SalesChannel\ShopPages\ShopPagesRoute" public="true">
            <argument type="service" id="Shopware\Core\System\SystemConfig\SystemConfigService"/>
            <argument type="service" id="cms_page.repository"/>
            <argument type="service" id="SwagGuidedShopping\Content\Cms\Service\NotesElementHandler"/>
        </service>

        <!-- Admin search indexer -->
        <service id="SwagGuidedShopping\Content\Presentation\PresentationAdminSearchIndexer">
            <argument type="service" id="Shopware\Core\Framework\DataAbstractionLayer\Dbal\Common\IteratorFactory" />
            <argument type="service" id="Doctrine\DBAL\Connection"/>
            <argument type="service" id="guided_shopping_presentation.repository"/>
            <argument>%elasticsearch.indexing_batch_size%</argument>

            <tag name="shopware.elastic.admin-searcher-index" key="guided_shopping_presentation"/>
        </service>

    </services>

</container>
